> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/hb-energy-primer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/hb-energy-primer/components/4_hvac/radiant_hvac_properties.md).

# Radiant HVAC Properties

![](/files/goVyvpidKjeVbOvDasFi)

![](/files/2ViGdKS91wjtDnvX3pwB) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-energy/blob/master/honeybee_grasshopper_energy/src//HB%20Radiant%20HVAC%20Properties.py)

Adjust the properties of a Radiant HVAC that has been assigned to Honeybee Rooms.

Because Radiant HVAC systems interact with the conditioned rooms through the thermal mass of the constructions in which they are embedded, their design often requires

### Inputs

* **rooms \[Required]**

Honeybee Rooms that have a Radiant HVAC assigned to them, which are to have their radiant properties adjusted. This can also be a Honeybee Model for which all Rooms with a Radiant HVAC sill be adjusted.

* **radiant\_type**

Text to indicate which faces are thermally active by default. Note that systems are assumed to be embedded in concrete slabs with no insulation within the slab unless otherwise specified. Choose from the following. (Default: Floor).

```
* Floor

* Ceiling

* FloorWithCarpet

* CeilingMetalPanel

* FloorWithHardwood
```

* **switch\_time**

A number for the minimum number of hours for when the system can switch between heating and cooling. (Default: 24).

### Outputs

* **report**

The execution information, as output and error streams

* **rooms**

The input Rooms with the radiant HVAC properties edited.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ladybug.tools/hb-energy-primer/components/4_hvac/radiant_hvac_properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
